GWT 2.7.0

## com.google.gwt.http.client
Class Header

    java.lang.Object
      com.google.gwt.http.client.Header

    public abstract class Header

extends java.lang.Object

Class for describing an HTTP header.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

Constructor Summary
`Header()`

Method Summary
`abstract java.lang.String` | `getName()` Returns the name of the HTTP header.
`abstract java.lang.String` | `getValue()` Returns the value of the HTTP header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Header

    public Header()

Method Detail

### getName

    public abstract java.lang.String getName()

  Returns the name of the HTTP header.

  Returns:
    name of the HTTP header

### getValue

    public abstract java.lang.String getValue()

  Returns the value of the HTTP header.

  Returns:
    value of the HTTP header

GWT 2.7.0